import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import { useIsDesktop } from '@alfalab/core-components-mq/esm';
import { PatternLockDesktopV1 } from './desktop/Component.desktop.js';
import { PatternLockMobileV1 } from './mobile/Component.mobile.js';

/**
 * @deprecated
 * Использует PatternLock
 */
var PatternLockV1 = forwardRef(function (_a, ref) {
    _a.breakpoint; var restProps = __rest(_a, ["breakpoint"]);
    var isDesktop = useIsDesktop();
    var Component = isDesktop ? PatternLockDesktopV1 : PatternLockMobileV1;
    return React.createElement(Component, __assign({ ref: ref }, restProps));
});

export { PatternLockV1 };
